View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000003aMuleMiscpublic2004-04-11 08:312004-04-13 20:06
ReporterKry 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000003: Invalid free pointer on exit
DescriptionaMule dialog destroyed
free(): invalid pointer 0x866ea70!
Now, exiting main app...
aMule shutdown completed.
Additional InformationIt's somewhere on the MuleNoteBook destructor.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000003)
Xaignar (manager)
2004-04-12 00:23

The source of the problem does not seem to be CMuleNotebook after all, as replacing it with wxNotebook didn't fix the problem.
(0000004)
Xaignar (manager)
2004-04-12 00:30

The problem is in fact caused by SearchDlg, though I have no idea where ATM.
(0000017)
Xaignar (manager)
2004-04-13 20:06

Fixed: Two objects were given ownership of the m_ImageList object. CSearchDlg to which it belonged and then search-notebook, through the AssignImageList function, with the result that both would attempt to delete m_ImageList.

- Issue History
Date Modified Username Field Change
2004-04-11 08:31 Kry New Issue
2004-04-11 08:32 Kry Category Feature Request => Misc
2004-04-11 08:32 Kry Status new => assigned
2004-04-11 08:32 Kry Assigned To => Xaignar
2004-04-12 00:23 Xaignar Note Added: 0000003
2004-04-12 00:30 Xaignar Note Added: 0000004
2004-04-13 09:55 Xaignar Severity crash => minor
2004-04-13 20:06 Xaignar Note Added: 0000017
2004-04-13 20:06 Xaignar Status assigned => resolved
2004-04-13 20:06 Xaignar Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker